import 'package:flutter/material.dart';

abstract class ColorsManager {
  static const Color textPrimaryColor = Color(0xFF5D5D5D);
  static const Color switchOffColor = Color(0x7F8D99AE);
  static const Color primaryColor = Color(0xFF0030CB); //023DFE
  static const Color secondaryTextColor = Color(0xFF848484);
  static Color primaryColorWithOpacity =
      const Color(0xFF023DFE).withOpacity(0.6);
  static const Color whiteColors = Colors.white;
  static Color whiteColorsWithOpacity = Colors.white.withOpacity(0.6);

  static const Color secondaryColor = Color(0xFF023DFE);
  static const Color onSecondaryColor = Color(0xFF023DFE);
  static Color shadowBlackColor = Colors.black.withOpacity(0.2);

  static Color dialogBlueTitle = const Color(0xFF023DFE).withOpacity(0.6);

  static const Color primaryTextColor = Colors.black;

  static const Color greyColor = Color(0xFFd5d5d5);
  static const Color lightGreyColor = Color(0xFF999999);
  static const Color backgroundColor = Color(0xFFececec);
  static const Color textFieldGreyColor = Color(0xFFF4F4F4);
  static const Color dozeColor = Color(0xFFFEC258);
  static const Color relaxColor = Color(0xFFFBD288);
  static const Color readingColor = Color(0xFFF7D69C);
  static const Color worningColor = Color(0xFFFFF3C8);
  static const Color energizingColor = Color(0xFFEDEDED);
  static const Color dividerColor = Color(0xFFEBEBEB);
  static const Color slidingBlueColor = Color(0x99023DFE);
  static const Color blackColor = Color(0xFF000000);
  static const Color lightGreen = Color(0xFF00FF0A);
  static const Color green = Color(0xFF008905);
  static const Color grayColor = Color(0xFF999999);
  static const Color red = Color(0xFFFF0000);
  static const Color graysColor = Color(0xffEBEBEB);
  static const Color lightGrayColor = Color(0xB2999999);
  static const Color grayBorder = Color(0xFFCFCFCF);
  static const Color textGray = Color(0xffD5D5D5);
  static const Color btnColor = Color(0xFF00008B);
  static const Color blueColor = Color(0xFF0036E6);
  static const Color boxColor = Color(0xFFF5F6F7);
  static const Color boxDivider = Color(0xFFE0E0E0);
  static const Color blue1 = Color(0xFF0036E6);
  static const Color blue2 = Color(0xFF0026A2);
  static const Color blue3 = Color(0xFF00165E);
  static const Color blue4 = Color(0xFF001E7E);
  static const Color textGreen = Color(0xFF008905);
  static const Color yaGreen = Color(0xFFFFBF44);
  static const Color checkBoxFillColor = Color(0xFFF3F3F3);
  static const Color semiTransparentBlackColor = Color(0x3F000000);
  static const Color transparentColor = Color(0x00000000);
  static const Color spaceColor = Color(0xB2023DFE);
  static const Color counterBackgroundColor = Color(0xCCF4F4F4);
  static const Color neutralGray = Color(0xFFE5E5E5);
  static const Color warningRed = Color(0xFFFF6465);
  static const Color borderColor = Color(0xFFE5E5E5);
  static const Color CircleImageBackground = Color(0xFFF4F4F4);
  static const Color softGray = Color(0xFFD5D5D5);
  static const Color semiTransparentBlack = Color(0x19000000);
  static const Color dataHeaderGrey = Color(0x33999999);
  static const Color circleImageBackground = Color(0xFFF4F4F4);
  static const Color circleRolesBackground = Color(0xFFF8F8F8);
  static const Color activeGreen = Color(0xFF99FF93);
  static const Color activeGreenText = Color(0xFF008905);
  static const Color trueIconGreen = Color(0xFFBBEC6C);
  static const Color disabledPink = Color(0xFFFF9395);
  static const Color disabledRedText = Color(0xFF890002);
  static const Color invitedOrange = Color(0xFFFFE193);
  static const Color invitedOrangeText = Color(0xFFFFBF00);
  static const Color lightGrayBorderColor = Color(0xB2D5D5D5);
  //background: #F8F8F8;
  static const Color vividBlue = Color(0xFF023DFE);
  static const Color semiTransparentRed = Color(0x99FF0000);
  static const Color grey700 = Color(0xFF2D3748);
  static const Color goodGreen = Color(0xFF0CEC16);
  static const Color moderateYellow = Color(0xFFFAC96C);
  static const Color poorOrange = Color(0xFFEC7400);
  static const Color unhealthyRed = Color(0xFFD40000);
  static const Color severePink = Color(0xFFD40094);
  static const Color hazardousPurple = Color(0xFFBA01FD);
  static const Color maxPurple = Color(0xFF962DFF);
  static const Color maxPurpleDot = Color(0xFF5F00BD);
  static const Color minBlue = Color(0xFF93AAFD);
  static const Color minBlueDot = Color(0xFF023DFE);
  static const Color grey25 = Color(0xFFF9F9F9);
}
